create table `users`
(
    id int8 generated by default as identity,
    deleted   boolean NOT NULL default false,
    first_name varchar(128) NOT NULL ,
    last_name  varchar(128) NOT NULL ,
    patronymic_name  varchar(128) NOT NULL ,
    gender_id int4,
    birth_date date,
    city_id int8,
    primary key (`id`)
);

create table `gender`
(
    id int4 generated by default as identity,
    gender varchar(8),
    primary key (`id`)
);

create table `city`
(
    id int4 generated by default as identity,
    city varchar(50),
    primary key (`id`)
);

alter table `users`
    add constraint `users_city_fk_1` FOREIGN KEY (`city_id`) references `city` (`id`);
alter table `users`
    add constraint `users_gender_fk_1` FOREIGN KEY (`gender_id`) references `gender` (`id`);

